## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----setup--------------------------------------------------------------------
library(biotidy)
mocked_se <- mockSE()
mocked_sce <- mockSCE()
mocked_es <- mockES()
mocked_seurat <- mockSeurat()

## -----------------------------------------------------------------------------
# SummarizedExperiment method
makePerCellDF(mocked_se)[1:5, 1:5]
makePerCellDF(mocked_se, melt = TRUE)[1:5, 1:5]
makePerCellDF(mocked_se, melt = TRUE, keep_rownames = TRUE)[1:5, 1:5]
makePerCellDF(mocked_se, features = FALSE, use_coldata = FALSE)

## -----------------------------------------------------------------------------
# SingleCellExperiment method
makePerCellDF(mocked_sce)[1:5, 1:5]
makePerCellDF(mocked_sce, melt = TRUE)[1:5, 1:5]
makePerCellDF(mocked_sce, melt = TRUE, keep_rownames = TRUE)[1:5, 1:5]
makePerCellDF(mocked_sce, features = FALSE, use_coldata = FALSE)

## -----------------------------------------------------------------------------
# ExpressionSet method
makePerCellDF(mocked_es)[1:5, 1:5]
makePerCellDF(mocked_es, melt = TRUE)[1:5, 1:5]
makePerCellDF(mocked_es, melt = TRUE, keep_rownames = TRUE)[1:5, 1:5]
makePerCellDF(mocked_es, features = FALSE, use_coldata = FALSE)

## -----------------------------------------------------------------------------
# Seurat method
makePerCellDF(mocked_seurat, layer = "counts")[1:5, 1:5]
makePerCellDF(mocked_seurat, layer = "counts", melt = TRUE)[1:5, 1:5]
makePerCellDF(mocked_seurat,
  layer = "counts", melt = TRUE, keep_rownames = TRUE
)[1:5, 1:5]
makePerCellDF(mocked_seurat,
  layer = "counts", features = FALSE, use_coldata =
    FALSE
)

## -----------------------------------------------------------------------------
# SummarizedExperiment method
makePerFeatureDF(mocked_se)[1:5, 1:5]
makePerFeatureDF(mocked_se, melt = TRUE)[1:5, ]
makePerFeatureDF(mocked_se, melt = TRUE, keep_rownames = TRUE)[1:5, ]
makePerFeatureDF(mocked_se, features = FALSE, use_rowdata = FALSE)

## -----------------------------------------------------------------------------
# SingleCellExperiment method
makePerFeatureDF(mocked_sce)[1:5, 1:5]
makePerFeatureDF(mocked_sce, melt = TRUE)[1:5, ]
makePerFeatureDF(mocked_sce, melt = TRUE, keep_rownames = TRUE)[1:5, ]
makePerFeatureDF(mocked_sce, features = FALSE, use_rowdata = FALSE)

## -----------------------------------------------------------------------------
# ExpressionSet method
makePerFeatureDF(mocked_es)[1:5, 1:5]
makePerFeatureDF(mocked_es, melt = TRUE)[1:5, ]
makePerFeatureDF(mocked_es, melt = TRUE, keep_rownames = TRUE)[1:5, ]
makePerFeatureDF(mocked_es, features = FALSE, use_rowdata = FALSE)

## -----------------------------------------------------------------------------
# Seurat method
makePerFeatureDF(mocked_seurat, layer = "counts")[1:5, 1:5]
makePerFeatureDF(mocked_seurat, layer = "counts", melt = TRUE)[1:5, ]
makePerFeatureDF(mocked_seurat,
  layer = "counts", melt = TRUE, keep_rownames = TRUE
)[1:5, ]
makePerFeatureDF(mocked_seurat,
  layer = "counts", features = FALSE,
  use_rowdata = FALSE
)

## -----------------------------------------------------------------------------
sessionInfo()

